FAXCONFIG(8C)

NAME
faxconfig - dynamically change HylaFAX configuration parameters

SYNOPSIS
/usr/local/sbin/faxconfig [ -q queue-dir ] [ -m modem ] [ parameter value ... ]

DESCRIPTION
faxconfig sends messages to a HylaFAX server process telling it to install new values for one or more configuration parameters. These new values are maintained only for as long as that server process executes; to setup long-lasting configuration parameters the appropriate configuration file(s) must be edited (see hylafax-config(5F)).

faxconfig is especially useful for setting certain configuration parameters that control the operation of HylaFAX server processes. For example, by manipulating the ModemPriority parameter of one or more faxgetty(8C) processes it is easy to dynamically reconfigure the order in which HylaFAX will assign modems to outbound jobs.

If no modem is specified with the -m option, then faxconfig will send messages to the central scheduler process, faxq(8C). If a faxgetty process is to be contacted, the specified modem must be the last component of the character special device filename the modem is attached to.

Consult the hylafax-config(5F) for the list of configuration parameters that can be set with faxconfig.

OPTIONS
The following options are available:

-m devid
    Direct messages to the faxgetty process servicing devid instead of the central scheduler process, faxq. The devid is an identifier derived from the name of the modem's device file; for example ttym2 for /dev/ttym2, term_10 for /dev/term/10.

-q dir
    Use a spooling area other than /var/spool/hylafax.

FILES
/var/spool/hylafax	default spooling area
/var/spool/hylafax/FIFO	fifo for contacting faxq

Consult hylafax-server(5F) for a complete discussion of the structure and content of the spooling area.

SEE ALSO
hylafax-server(5F), faxmodem(8C), faxstate(8C), faxgetty(8C), faxq(8C), hylafax-config(5F).